1. Guest, as per the stickied thread, this forum has not been in use since 2014. All bugs and feature requests should be posted to JIRA.

disconnect.spam

Discussion in 'Bugs & Feature Requests' started by milkbone360, Jun 9, 2015.

  1. People are getting kicked off with a "disconnect.spam" error for virtually no reason. I think it even kicked me off (op) when I was afk. But most often it's when people type either a command or a chat. They're getting kicked off sometimes as often as every few minutes. These are kids playing and they are doing a lot of innocent chatting with each other. But all of this started after my update from 1.8.3 to 1.8.6. Before that update they were doing the same stuff just fine with no kicks.

    I have a dedicated colo server:
    Intel Xeon E5-2609, 32GB DDR3 ECC, Centos 6 64bit
    Running multicraft & spigot.

    When I do /version it says:
    "This server is running CraftBukkit version git-Spigot-044d928-e8c6403 (MC: 1.8.6) (Implementing API version 1.8.6-R0.1-SNAPSHOT)
    Checking version, please wait...
    You are 14 version(s) behind"

    When I do /plugins it says (all green):
    "Vault, PermissionsEx, WorldEdit, PandoraChatFilter, GriefPrevention, Notifications, dynmap, Essentials, Citizens, Denizen, Builder, EssentialsSpawn"

    I upgraded from 1.8.3 to 1.8.6 trying to get Citizens, Denizen and Builder to work. Those are now green.

    Most of the google search results are from 2013 or earlier and are indicating a plugin that I'm not using (BeTheMob or Prefixer). I can't find anything about it happening on a 1.8.x server.
     
    #1 milkbone360, Jun 9, 2015
    Last edited: Jun 9, 2015
  2. So far I removed Citizens, Denizen, and Builder and it seems to have stopped. I'll try adding them back in one at a time to see which one it is.
     
  3. Hayden

    Supporter

    Sometimes when you type / and press tab, the server will kick you for spam. Can't really offer an explanation as to why you got kicked whilst afk.
     
  4. Things were fine before I upgraded to 1.8.6. Now things are fine again on 1.8.6 after removing the 3 plugins mentioned above.